Bug 1253041 - kopete - Cannot load the Jabber protocol plugin
kopete - Cannot load the Jabber protocol plugin
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: iris (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
: 1278441 (view as bug list)
Depends On: 1234209
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-12 15:31 EDT by Petr Lautrbach
Modified: 2015-11-12 18:28 EST (History)
12 users (show)

See Also:
Fixed In Version: iris-1.0.0-0.25.20140424git4dcc9f49.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-12 18:28:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Lautrbach 2015-08-12 15:31:45 EDT
Description of problem:
kopete can't add a jabber protocol. A message "Cannot load the Jabber protocol plugin." is shown instead.

Version-Release number of selected component (if applicable):
kopete-15.04.2-2.fc23.x86_64

How reproducible:
always

Steps to Reproduce:
1. add a new account 
2. select Jabber - Jabber, XMPP, Google Talk
3.

Actual results:
Cannot load the Jabber protocol plugin.
Comment 1 Rex Dieter 2015-11-02 11:32:24 EST
Looking into it
Comment 2 Rex Dieter 2015-11-02 11:35:42 EST
I cannot reproduce, what does this output?

ldd -r /usr/lib64/kde4/kopete_jabber.so
Comment 3 Harald Reindl 2015-11-02 12:01:44 EST
[root@rh:~]$ ldd -r /usr/lib64/kde4/kopete_jabber.so
        linux-vdso.so.1 (0x00007ffd1ffea000)
        libqca.so.2 => /lib64/libqca.so.2 (0x00007fb46137b000)
        libkopete.so.4 => /lib64/libkopete.so.4 (0x00007fb46102d000)
        libiris.so.2 => /lib64/libiris.so.2 (0x00007fb460cb6000)
        libQtCore.so.4 => /lib64/libQtCore.so.4 (0x00007fb4607af000)
        libirisnet.so.2 => /lib64/libirisnet.so.2 (0x00007fb4604b3000)
        libkio.so.5 => /lib64/libkio.so.5 (0x00007fb45ffcd000)
        libQtNetwork.so.4 => /lib64/libQtNetwork.so.4 (0x00007fb45fc79000)
        libQtXml.so.4 => /lib64/libQtXml.so.4 (0x00007fb45fa32000)
        libkdeui.so.5 => /lib64/libkdeui.so.5 (0x00007fb45f391000)
        libQtGui.so.4 => /lib64/libQtGui.so.4 (0x00007fb45e658000)
        libQtSvg.so.4 => /lib64/libQtSvg.so.4 (0x00007fb45e3fd000)
        libsolid.so.4 => /lib64/libsolid.so.4 (0x00007fb45e0e5000)
        libkdecore.so.5 => /lib64/libkdecore.so.5 (0x00007fb45dbee000)
        libQtDBus.so.4 => /lib64/libQtDBus.so.4 (0x00007fb45d967000)
        libpthread.so.0 => /lib64/libpthread.so.0 (0x00007fb45d749000)
        libstdc++.so.6 => /lib64/libstdc++.so.6 (0x00007fb45d3c7000)
        libm.so.6 => /lib64/libm.so.6 (0x00007fb45d0c5000)
        libc.so.6 => /lib64/libc.so.6 (0x00007fb45cd03000)
        libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007fb45caec000)
        libkemoticons.so.4 => /lib64/libkemoticons.so.4 (0x00007fb45c8db000)
        libkcmutils.so.4 => /lib64/libkcmutils.so.4 (0x00007fb45c695000)
        libkde3support.so.4 => /lib64/libkde3support.so.4 (0x00007fb45c389000)
        libkabc.so.4 => /lib64/libkabc.so.4 (0x00007fb45c0d8000)
        libkopete_videodevice.so.4 => /lib64/libkopete_videodevice.so.4 (0x00007fb45beb2000)
        libX11.so.6 => /lib64/libX11.so.6 (0x00007fb45bb72000)
        libXss.so.1 => /lib64/libXss.so.1 (0x00007fb45b96e000)
        libQt3Support.so.4 => /lib64/libQt3Support.so.4 (0x00007fb45b460000)
        libkresources.so.4 => /lib64/libkresources.so.4 (0x00007fb45b237000)
        libidn.so.11 => /lib64/libidn.so.11 (0x00007fb45b002000)
        libz.so.1 => /lib64/libz.so.1 (0x00007fb45ade9000)
        libqjdns.so.2 => not found
        libjdns.so.2 => /lib64/libjdns.so.2 (0x00007fb45abd2000)
        libdl.so.2 => /lib64/libdl.so.2 (0x00007fb45a9cd000)
        libgthread-2.0.so.0 => /lib64/libgthread-2.0.so.0 (0x00007fb45a7cb000)
        libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x00007fb45a492000)
        librt.so.1 => /lib64/librt.so.1 (0x00007fb45a289000)
        /lib64/ld-linux-x86-64.so.2 (0x0000562257fd9000)
        libqjdns.so.2 => not found
        libnepomukutils.so.4 => /lib64/libnepomukutils.so.4 (0x00007fb45a048000)
        libSM.so.6 => /lib64/libSM.so.6 (0x00007fb459e3f000)
        libICE.so.6 => /lib64/libICE.so.6 (0x00007fb459c23000)
        libXext.so.6 => /lib64/libXext.so.6 (0x00007fb459a10000)
        libXft.so.2 => /lib64/libXft.so.2 (0x00007fb4597f9000)
        libXau.so.6 => /lib64/libXau.so.6 (0x00007fb4595f5000)
        libXpm.so.4 => /lib64/libXpm.so.4 (0x00007fb4593e2000)
        libstreamanalyzer.so.0 => /lib64/libstreamanalyzer.so.0 (0x00007fb459164000)
        libstreams.so.0 => /lib64/libstreams.so.0 (0x00007fb458f2a000)
        libacl.so.1 => /lib64/libacl.so.1 (0x00007fb458d20000)
        libattr.so.1 => /lib64/libattr.so.1 (0x00007fb458b1a000)
        libXrender.so.1 => /lib64/libXrender.so.1 (0x00007fb45890f000)
        libnepomukquery.so.4 => /lib64/libnepomukquery.so.4 (0x00007fb4586c1000)
        libnepomuk.so.4 => /lib64/libnepomuk.so.4 (0x00007fb4583e8000)
        libsoprano.so.4 => /lib64/libsoprano.so.4 (0x00007fb4580fa000)
        libssl.so.10 => /lib64/libssl.so.10 (0x00007fb457e7e000)
        libcrypto.so.10 => /lib64/libcrypto.so.10 (0x00007fb457a1f000)
        libattica.so.0.4 => /lib64/libattica.so.0.4 (0x00007fb45774a000)
        libdbusmenu-qt.so.2 => /lib64/libdbusmenu-qt.so.2 (0x00007fb457516000)
        libXtst.so.6 => /lib64/libXtst.so.6 (0x00007fb457310000)
        libXcursor.so.1 => /lib64/libXcursor.so.1 (0x00007fb457104000)
        libXfixes.so.3 => /lib64/libXfixes.so.3 (0x00007fb456efe000)
        libpng16.so.16 => /lib64/libpng16.so.16 (0x00007fb456cca000)
        libfreetype.so.6 => /usr/lib64/freetype-freeworld/libfreetype.so.6 (0x00007fb456a21000)
        libgobject-2.0.so.0 => /lib64/libgobject-2.0.so.0 (0x00007fb4567cf000)
        libXi.so.6 => /lib64/libXi.so.6 (0x00007fb4565bf000)
        libXrandr.so.2 => /lib64/libXrandr.so.2 (0x00007fb4563b3000)
        libXinerama.so.1 => /lib64/libXinerama.so.1 (0x00007fb4561b0000)
        libfontconfig.so.1 => /lib64/libfontconfig.so.1 (0x00007fb455f6c000)
        libHUpnp.so.1 => /lib64/libHUpnp.so.1 (0x00007fb455c4b000)
        libudev.so.1 => /lib64/libudev.so.1 (0x00007fb455c2a000)
        libbz2.so.1 => /lib64/libbz2.so.1 (0x00007fb455a19000)
        liblzma.so.5 => /lib64/liblzma.so.5 (0x00007fb4557ee000)
        libresolv.so.2 => /lib64/libresolv.so.2 (0x00007fb4555d3000)
        libfam.so.0 => /lib64/libfam.so.0 (0x00007fb4553c9000)
        libdbus-1.so.3 => /lib64/libdbus-1.so.3 (0x00007fb455179000)
        libkparts.so.4 => /lib64/libkparts.so.4 (0x00007fb454f1e000)
        libkpty.so.4 => /lib64/libkpty.so.4 (0x00007fb454d14000)
        libkfile.so.4 => /lib64/libkfile.so.4 (0x00007fb454a63000)
        libv4l2.so.0 => /lib64/libv4l2.so.0 (0x00007fb454853000)
        libxcb.so.1 => /lib64/libxcb.so.1 (0x00007fb454631000)
        libQtSql.so.4 => /lib64/libQtSql.so.4 (0x00007fb4543ec000)
        libgomp.so.1 => /lib64/libgomp.so.1 (0x00007fb4541ca000)
        libuuid.so.1 => /lib64/libuuid.so.1 (0x00007fb453fc4000)
        libxml2.so.2 => /lib64/libxml2.so.2 (0x00007fb453c5e000)
        libsopranoclient.so.1 => /lib64/libsopranoclient.so.1 (0x00007fb453a0e000)
        libgssapi_krb5.so.2 => /lib64/libgssapi_krb5.so.2 (0x00007fb4537c0000)
        libkrb5.so.3 => /lib64/libkrb5.so.3 (0x00007fb4534db000)
        libcom_err.so.2 => /lib64/libcom_err.so.2 (0x00007fb4532d6000)
        libk5crypto.so.3 => /lib64/libk5crypto.so.3 (0x00007fb4530a4000)
        libffi.so.6 => /lib64/libffi.so.6 (0x00007fb452e9b000)
        libexpat.so.1 => /lib64/libexpat.so.1 (0x00007fb452c71000)
        libqtsoap.so.2 => /lib64/libqtsoap.so.2 (0x00007fb452a49000)
        libselinux.so.1 => /lib64/libselinux.so.1 (0x00007fb452825000)
        libdw.so.1 => /lib64/libdw.so.1 (0x00007fb4525dc000)
        libcap.so.2 => /lib64/libcap.so.2 (0x00007fb4523d7000)
        libsystemd.so.0 => /lib64/libsystemd.so.0 (0x00007fb45234e000)
        libutil.so.1 => /lib64/libutil.so.1 (0x00007fb45214b000)
        libutempter.so.0 => /lib64/libutempter.so.0 (0x00007fb451f47000)
        libv4lconvert.so.0 => /lib64/libv4lconvert.so.0 (0x00007fb451ccd000)
        libkrb5support.so.0 => /lib64/libkrb5support.so.0 (0x00007fb451abd000)
        libkeyutils.so.1 => /lib64/libkeyutils.so.1 (0x00007fb4518b9000)
        libpcre.so.1 => /lib64/libpcre.so.1 (0x00007fb451648000)
        libelf.so.1 => /lib64/libelf.so.1 (0x00007fb451432000)
        libgcrypt.so.20 => /lib64/libgcrypt.so.20 (0x00007fb45114c000)
        libgpg-error.so.0 => /lib64/libgpg-error.so.0 (0x00007fb450f39000)
        libjpeg.so.62 => /lib64/libjpeg.so.62 (0x00007fb450ce0000)
undefined symbol: _ZN18QJDnsSharedRequest7publishEN5QJDns11PublishModeERKNS0_6RecordE   (/lib64/libirisnet.so.2)
undefined symbol: _ZN16QJDnsSharedDebugD1Ev     (/lib64/libirisnet.so.2)
undefined symbol: _ZN11QJDnsShared12addInterfaceERK12QHostAddress       (/lib64/libirisnet.so.2)
undefined symbol: _ZN11QJDnsSharedC1ENS_4ModeEP7QObject (/lib64/libirisnet.so.2)
undefined symbol: _ZN11QJDnsShared15removeInterfaceERK12QHostAddress    (/lib64/libirisnet.so.2)
undefined symbol: _ZNK18QJDnsSharedRequest7successEv    (/lib64/libirisnet.so.2)
undefined symbol: _ZN11QJDnsShared8setDebugEP16QJDnsSharedDebugRK7QString       (/lib64/libirisnet.so.2)
undefined symbol: _ZN18QJDnsSharedRequest5queryERK10QByteArrayi (/lib64/libirisnet.so.2)
undefined symbol: _ZN5QJDns6RecordC1Ev  (/lib64/libirisnet.so.2)
undefined symbol: _ZN16QJDnsSharedDebugC1EP7QObject     (/lib64/libirisnet.so.2)
undefined symbol: _ZN11QJDnsShared15waitForShutdownERK5QListIPS_E       (/lib64/libirisnet.so.2)
undefined symbol: _ZN18QJDnsSharedRequest13publishUpdateERKN5QJDns6RecordE      (/lib64/libirisnet.so.2)
undefined symbol: _ZN16QJDnsSharedDebug14readDebugLinesEv       (/lib64/libirisnet.so.2)
undefined symbol: _ZNK18QJDnsSharedRequest7resultsEv    (/lib64/libirisnet.so.2)
undefined symbol: _ZN18QJDnsSharedRequest6cancelEv      (/lib64/libirisnet.so.2)
undefined symbol: _ZN5QJDns22detectPrimaryMulticastERK12QHostAddress    (/lib64/libirisnet.so.2)
undefined symbol: _ZN18QJDnsSharedRequestC1EP11QJDnsSharedP7QObject     (/lib64/libirisnet.so.2)
undefined symbol: _ZNK18QJDnsSharedRequest5errorEv      (/lib64/libirisnet.so.2)
undefined symbol: _ZN18QJDnsSharedRequestD1Ev   (/lib64/libirisnet.so.2)
Comment 4 Rex Dieter 2015-11-02 12:09:24 EST
ok,

rpm -q iris

ldd -r /lib64/libirisnet.so.2
Comment 5 Rex Dieter 2015-11-02 12:10:33 EST
and,

rpm -q jdns
Comment 6 Harald Reindl 2015-11-02 12:14:05 EST
[root@rh:~]$ rpm -q jdns
jdns-2.0.3-1.fc23.x86_64

[root@rh:~]$ rpm -q iris
iris-1.0.0-0.24.20140424git4dcc9f49.fc23.x86_64

[root@rh:~]$ ldd -r /lib64/libirisnet.so.2
        linux-vdso.so.1 (0x00007ffe2c5f8000)
        libidn.so.11 => /lib64/libidn.so.11 (0x00007f3df8b08000)
        libz.so.1 => /lib64/libz.so.1 (0x00007f3df88ef000)
        libqjdns.so.2 => not found
        libjdns.so.2 => /lib64/libjdns.so.2 (0x00007f3df86d7000)
        libqca.so.2 => /lib64/libqca.so.2 (0x00007f3df83c0000)
        libQtNetwork.so.4 => /lib64/libQtNetwork.so.4 (0x00007f3df806b000)
        libQtCore.so.4 => /lib64/libQtCore.so.4 (0x00007f3df7b64000)
        libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f3df7947000)
        libstdc++.so.6 => /lib64/libstdc++.so.6 (0x00007f3df75c4000)
        libm.so.6 => /lib64/libm.so.6 (0x00007f3df72c2000)
        libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007f3df70ab000)
        libc.so.6 => /lib64/libc.so.6 (0x00007f3df6ce9000)
        libgomp.so.1 => /lib64/libgomp.so.1 (0x00007f3df6ac7000)
        libssl.so.10 => /lib64/libssl.so.10 (0x00007f3df684c000)
        libcrypto.so.10 => /lib64/libcrypto.so.10 (0x00007f3df63ec000)
        libdl.so.2 => /lib64/libdl.so.2 (0x00007f3df61e8000)
        libgthread-2.0.so.0 => /lib64/libgthread-2.0.so.0 (0x00007f3df5fe6000)
        libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x00007f3df5cac000)
        librt.so.1 => /lib64/librt.so.1 (0x00007f3df5aa4000)
        /lib64/ld-linux-x86-64.so.2 (0x000056301dcbe000)
        libgssapi_krb5.so.2 => /lib64/libgssapi_krb5.so.2 (0x00007f3df5855000)
        libkrb5.so.3 => /lib64/libkrb5.so.3 (0x00007f3df5570000)
        libcom_err.so.2 => /lib64/libcom_err.so.2 (0x00007f3df536c000)
        libk5crypto.so.3 => /lib64/libk5crypto.so.3 (0x00007f3df5139000)
        libkrb5support.so.0 => /lib64/libkrb5support.so.0 (0x00007f3df4f2a000)
        libkeyutils.so.1 => /lib64/libkeyutils.so.1 (0x00007f3df4d25000)
        libresolv.so.2 => /lib64/libresolv.so.2 (0x00007f3df4b0a000)
        libselinux.so.1 => /lib64/libselinux.so.1 (0x00007f3df48e6000)
        libpcre.so.1 => /lib64/libpcre.so.1 (0x00007f3df4676000)
undefined symbol: _ZN18QJDnsSharedRequest7publishEN5QJDns11PublishModeERKNS0_6RecordE   (/lib64/libirisnet.so.2)
undefined symbol: _ZN16QJDnsSharedDebugD1Ev     (/lib64/libirisnet.so.2)
undefined symbol: _ZN11QJDnsShared12addInterfaceERK12QHostAddress       (/lib64/libirisnet.so.2)
undefined symbol: _ZN11QJDnsSharedC1ENS_4ModeEP7QObject (/lib64/libirisnet.so.2)
undefined symbol: _ZN11QJDnsShared15removeInterfaceERK12QHostAddress    (/lib64/libirisnet.so.2)
undefined symbol: _ZNK18QJDnsSharedRequest7successEv    (/lib64/libirisnet.so.2)
undefined symbol: _ZN11QJDnsShared8setDebugEP16QJDnsSharedDebugRK7QString       (/lib64/libirisnet.so.2)
undefined symbol: _ZN18QJDnsSharedRequest5queryERK10QByteArrayi (/lib64/libirisnet.so.2)
undefined symbol: _ZN5QJDns6RecordC1Ev  (/lib64/libirisnet.so.2)
undefined symbol: _ZN16QJDnsSharedDebugC1EP7QObject     (/lib64/libirisnet.so.2)
undefined symbol: _ZN11QJDnsShared15waitForShutdownERK5QListIPS_E       (/lib64/libirisnet.so.2)
undefined symbol: _ZN18QJDnsSharedRequest13publishUpdateERKN5QJDns6RecordE      (/lib64/libirisnet.so.2)
undefined symbol: _ZN16QJDnsSharedDebug14readDebugLinesEv       (/lib64/libirisnet.so.2)
undefined symbol: _ZNK18QJDnsSharedRequest7resultsEv    (/lib64/libirisnet.so.2)
undefined symbol: _ZN18QJDnsSharedRequest6cancelEv      (/lib64/libirisnet.so.2)
undefined symbol: _ZN5QJDns22detectPrimaryMulticastERK12QHostAddress    (/lib64/libirisnet.so.2)
undefined symbol: _ZN18QJDnsSharedRequestC1EP11QJDnsSharedP7QObject     (/lib64/libirisnet.so.2)
undefined symbol: _ZNK18QJDnsSharedRequest5errorEv      (/lib64/libirisnet.so.2)
undefined symbol: _ZN18QJDnsSharedRequestD1Ev   (/lib64/libirisnet.so.2)
Comment 7 Rex Dieter 2015-11-02 12:23:56 EST
ok, lastly.

rpm -q qjdns qjdns-qt4

rpm -q --whatprovides 'libqjdns.so.2()(64bit)'


I think we're getting hit by side effects of packaging hacks introduced from bug #1234209
Comment 8 Harald Reindl 2015-11-02 13:10:58 EST
[root@rh:~]$ rpm -q qjdns qjdns-qt4
package qjdns is not installed
qjdns-qt4-2.0.3-1.fc23.x86_64

[root@rh:~]$ rpm -q --whatprovides 'libqjdns.so.2()(64bit)'
qjdns-qt4-2.0.3-1.fc23.x86_64
Comment 9 Fedora Update System 2015-11-02 13:37:10 EST
iris-1.0.0-0.25.20140424git4dcc9f49.fc23 jreen-1.2.1-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-538103401b
Comment 10 Harald Reindl 2015-11-02 13:40:47 EST
after update iris-1.0.0-0.25.20140424git4dcc9f49.fc23.x86_64.rpm from koji jabber connects again - thank you!
Comment 11 Ivan Romanov 2015-11-02 14:55:14 EST
Rex, I don't understand. Why my hack is not working?
Comment 12 Rex Dieter 2015-11-02 15:05:22 EST
Not sure yet exactly, but for the 2 users here, their systems are clearly not finding the hacked-in libqjdns.so.2 symlinks, see 

        libqjdns.so.2 => not found

and all the missing symbols?
Comment 13 Rex Dieter 2015-11-02 15:07:07 EST
Harald, one more query ,

rpm -V qjdns-qt4

rpm -q -f /usr/lib64/libqjdns.so.2

??
Comment 14 Harald Reindl 2015-11-02 15:34:26 EST
but taht below is after update to the koji build fixing the issue

[root@rh:~]$ rpm -V qjdns-qt4

[root@rh:~]$ rpm -q -f /usr/lib64/libqjdns.so.2
qjdns-qt4-2.0.3-1.fc23.x86_64
Comment 15 Fedora Update System 2015-11-03 14:54:04 EST
iris-1.0.0-0.25.20140424git4dcc9f49.fc23, jreen-1.2.1-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update jreen iris'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-538103401b
Comment 16 Rex Dieter 2015-11-05 08:48:28 EST
*** Bug 1278441 has been marked as a duplicate of this bug. ***
Comment 17 Fedora Update System 2015-11-12 18:28:32 EST
iris-1.0.0-0.25.20140424git4dcc9f49.fc23, jreen-1.2.1-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.